#!/usr/bin/env bash

# git add-alias [--alias] [--path]

######################################
# set git alias with external sh file
######################################

if [ -z $1 ] || [ -z $2 ]; then
    echo "[Error] Must give alias and shell file path"
    exit 1
else
    if [ -f $2 ]; then
        git config --global alias.$1 "!sh -c \" $2 \$* ;\""
    else
        git config --global alias.$1 "!sh -c \"set -x; $2;\""
    fi
fi
