#!/usr/bin/env bash

# git user
# git user [self/ebay]

######################################
# See or switch user
######################################

# Config
self_usr=self
self_usr_name=ulivz
self_usr_email=472590061@qq.com

ebay_usr=ebay
ebay_usr_name=haolchen
ebay_usr_email=haolchen@ebay.com

# Set current git repository to my self account
setSelfGit(){
    git config user.name $self_usr_name
    git config user.email $self_usr_email
    echo "[OK] Now you are $self_usr_name in $self_usr 😎"
}

# Set current git repository to eBay account
setEbayGit() {
    git config user.name $ebay_usr_name
    git config user.email $ebay_usr_email
    echo "[OK] Now you are $ebay_usr_name in $ebay_usr 😎"
}


# Show current user
currentUsr(){
    if [ $1 = $ebay_usr_email ]
    then
        echo "[$ebay_usr] You git branch is in ${ebay_usr}'s accounts"
    elif [ $1 = $self_usr_email ]
    then
        echo "[$self_usr] You git branch is in open source env"
    else
        echo "[Warning] Current git branch doesn't set user"
    fi
}

# Main
if [ -z $1 ]
then
    current_email=`git config user.email`
    echo $current_email
    currentUsr $current_email
    echo ""
    echo "The users that can be swithced are the following:"
    echo "- $ebay_usr"
    echo "- $self_usr"
else
    if [ $1 = 'ebay' ]
    then
        setEbayGit
    elif [ $1 = 'self' ]
    then
        setSelfGit
    fi
fi