#!/usr/bin/env bash

. ./sh/sh-chmod.sh ./sh/

dir_name=$(cd `dirname $0`; pwd)
echo $dir_name
cd ${dir_name}/sh

for file in $(ls -lh | grep "^-" | awk -F ' ' '{print $NF}')
do
    file_name=${file%.sh*}
    . $dir_name/sh/sh-add.sh $file_name "${dir_name}/sh/${file}"
    echo -e "✅  Add \033[32m git $file_name \033[0m ... "
done

. $dir_name/sh/sh-add.sh shell "${dir_name}/$(basename $0)"
    echo -e "✅  Add \033[32m git shell \033[0m ... "
    echo -e "👻  Next, each time to write the shell, you can directly run \033[32m git shell \033[0m to automatically add the shell to git alias"

. $dir_name/backup.sh

echo ''
echo -e "\033[36m [Install Finished] \033[0m"
echo ''